//+------------------------------------------------------------------+
//|                     Copy and Pasted by Lowphat :P                |
//|                                                                  |
//+------------------------------------------------------------------+
#property copyright " "
#property link      " "

#property indicator_separate_window
#property indicator_buffers 2
#property indicator_color1 Lime
#property indicator_color2 Red

#property indicator_maximum 1                     
#property indicator_minimum -1

extern int       TimeFrame=0;
extern int       SSP=7;
extern double    Kmax=50.6; 


double ExtMapBuffer1[];
double ExtMapBuffer2[];

int init()
  {

   SetIndexStyle(0,DRAW_HISTOGRAM,EMPTY,2);
   SetIndexBuffer(0,ExtMapBuffer1);
   SetIndexStyle(1,DRAW_HISTOGRAM,EMPTY,2);
   SetIndexBuffer(1,ExtMapBuffer2);



   switch(TimeFrame)
   {
      case 1 : string TimeFrameStr="Period_M1"; break;
      case 5 : TimeFrameStr="Period_M5"; break;
      case 15 : TimeFrameStr="Period_M15"; break;
      case 30 : TimeFrameStr="Period_M30"; break;
      case 60 : TimeFrameStr="Period_H1"; break;
      case 240 : TimeFrameStr="Period_H4"; break;
      case 1440 : TimeFrameStr="Period_D1"; break;
      case 10080 : TimeFrameStr="Period_W1"; break;
      case 43200 : TimeFrameStr="Period_MN1"; break;
      default : TimeFrameStr="Current Timeframe";
   }
   string short_name;
   short_name=("FxTrend("+TimeFrame+")");
    IndicatorShortName(short_name);
     SetIndexLabel(0,short_name);  
  }

   return(0);
 

int start()
  {
   datetime TimeArray[];
   int    i,limit,y=0,counted_bars=IndicatorCounted();


   ArrayCopySeries(TimeArray,MODE_TIME,Symbol(),TimeFrame); 
   
   limit=Bars-counted_bars;
   limit=Bars-counted_bars;
   for(i=0,y=0;i<limit;i++)
   {
   if (Time[i]<TimeArray[y]) y++;


 
   ExtMapBuffer1[i]=iCustom(NULL,TimeFrame,"ForexTrend Histo",SSP,Kmax,0,y);
   ExtMapBuffer2[i]=iCustom(NULL,TimeFrame,"ForexTrend Histo",SSP,Kmax,1,y); 

   
   }  
   return(0);
  }

